Bug 113274 - Void Linux: Installation fails due to libpoppler.so.70
Summary: Void Linux: Installation fails due to libpoppler.so.70
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
5.4.0.3 release
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Desktop-Environment
  Show dependency treegraph
 
Reported: 2017-10-19 19:11 UTC by rkut
Modified: 2017-10-22 11:59 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rkut 2017-10-19 19:11:25 UTC
Description:
xbps-install -S libreoffice
[*] Updating `https://mirror.clarkson.edu/voidlinux/current/i686-repodata' ...
libreoffice-5.4.0.3_3: broken, unresolvable shlib `libpoppler.so.70'
Transaction aborted due to unresolved shlibs.


Steps to Reproduce:
1.sudo -i
2.xbps-install -S libreoffice

Actual Results:  
[*] Updating `https://mirror.clarkson.edu/voidlinux/current/i686-repodata' ...
libreoffice-5.4.0.3_3: broken, unresolvable shlib `libpoppler.so.70'
Transaction aborted due to unresolved shlibs.

Expected Results:
Successful download and installation.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux i686; rv:56.0) Gecko/20100101 Firefox/56.0
Comment 1 Xisco Faulí 2017-10-21 17:22:57 UTC Comment hidden (obsolete)
Comment 2 rkut 2017-10-22 02:07:15 UTC
Thank you for whatever you did, because now the xbps-install software downloaded and installed the linreoffice software without incident. 

Interestingly though, I noticed that the libreofffice binary is now named libreoffice5.4

Thanks again for your prompt reply and your help. I am marking this bug as resolved since the installation worked for me.